function arc = archive(pop)
% ARCHIVE(pop) create an archive from population
%

if nargin == 0
	arc.algo = paramset();
	arc.prob = problem();
else
	arc.algo = pop.algo;
	arc.prob = pop.prob;
end

arc.count = 0;
arc.traincount = 0;

arc.x = [];
arc.f = [];
arc.g = [];

arc.surr = [];

nx = get(arc.prob, 'nx');

arc.d_mx = sqrt(nx);
arc.pts_per_cluster = floor(ceil(sqrt(nx)) * 3 / get(arc.algo, 'train_ratio'));

arc = class(arc, 'archive');

if nargin == 1
	arc = add(arc, pop);
end

return
