function [f, g, valid] = predict_simple(arc, x)
% PREDICT(arc, x) predicts the values using surrogates
%

x_normal = normalize(arc.prob, x);
dist_crit = get(arc.algo, 'dist_crit');

if ~isinf(dist_crit)
	% check for presence of true solutions in the neighborhood
	found = 0;
	%for i = 1:arc.count
	%	%arx_normal = normalize(arc.prob, arc.x(i,:));
	%	d = norm(x_normal-arc.x(i,:), 2);
	%	if d/arc.d_mx < dist_crit
	%		found = 1;
	%		break;
	%	end
	%end
	d = sqrt(sum( (repmat(x_normal,arc.count,1) - arc.x).^2,2 ))/arc.d_mx;
	found = sum(d < dist_crit);
	% new point is in the neighborhood of previously evaluated points
	if found > 0
		[f, g, valid] = predict(arc.surr, x_normal);
	else
		f = [];
		g = [];
		valid = 0;
	end
else
	[f, g, valid] = predict(arc.surr, x_normal);
end

return
