function arc = train_simple(arc)

if isempty(arc.surr)
	arc.surr = surrogate(arc.algo, get(arc.algo, 'models'));
end

max_traincount = get(arc.algo, 'max_traincount');

if arc.traincount > max_traincount
	N = max_traincount;
else
	N = arc.traincount;
end
fprintf('\tTraining Data Size = %d/%d\n', N, arc.count);

[arc.surr, mse] = train(arc.surr, arc.x, arc.f, arc.g, N);

if ~isempty(mse)
	fprintf('\tPrediction Error = %g (%g)\n', sum(mse), max(mse));
end

return
