function [x_id, unused] = centroids(cluster)
% Find the point closest to the centroid in each cluster
x_id = zeros(1, cluster.N2);
k = 1;
for i = 1:cluster.N
	if cluster.nn(i) > 0
		dist = zeros(1,cluster.nn(i));
		for j = 1:cluster.nn(i)
			id1 = cluster.id(i).v(j);
			tmp = cluster.x(id1,:) - cluster.C(i,:);
			dist(j) = tmp*tmp';
		end
		[tmp I] = sort(dist);
		id1 = cluster.id(i).v(I(1));
		x_id(k) = id1;
		k = k+1;
	end
end

unused = setdiff(1:size(cluster.x,1), x_id);
return
