function cluster = clustering(x, N, method)
% CLUSTERING(x,N) cluster data using k-means clustering
%
if isempty(x)
	error('Zero data given for clustering');
end

if nargin == 2
	method = 'kmeans';
end

cluster.x = x;
cluster.N = N;
cluster.IDX = [];
cluster.C = [];
cluster.id = [];
cluster.nn = [];
cluster.N2 = 0;

cluster = class(cluster, 'clustering');

cfunc = strcat('cluster_', method);

cluster = feval(cfunc, cluster);
cluster = split(cluster);
if cluster.N2 ~= N
	warning(sprintf('Only %d/%d clusters found', cluster.N2, N));
end

return
