function [ranks] = crowding_distance_sort(pop, data, front)
%
%
F = data.F;
M = get(pop.prob, 'nf');
L = length(F(front).f);					% no of elements in the front
if L == 1
	ranks = F(front).f;
else
	dist = zeros(L, 1);				% vector to store crowding distance

	for i = 1:M
		f = pop.f(F(front).f(:), i);			% get ith objective
		[tmp, I] = sort(f);
		scale = f(I(L)) - f(I(1));
		dist(I(1)) = Inf;
		for j = 2:L-1
			id = I(j);
			id1 = F(front).f(I(j-1));
			id2 = F(front).f(I(j+1));
			if scale > 0
				dist(id) = dist(id) + (pop.f(id2,i)-pop.f(id1,i)) / scale;
			end
		end
	end
	dist = dist / M;

	[tmp, I] = sort(dist, 'descend');
	ranks = F(front).f(I(:));
end
return
