function pop = population(p, a)
%POPULATION Population class 
%	pop = population(prob, algo) creates empty population class from the 
%   problem structure and algorithm structure
%
if nargin == 1
	prob = p.prob;
	algo = p.algo;
elseif nargin == 2
	prob = p;
	algo = a;
end

pop.prob = prob;
pop.algo = algo;
pop.f1size = 0;

pop.size = get(algo, 'pop_size');

pop.x = zeros(pop.size, get(prob,'nx'));
pop.f = zeros(pop.size, get(prob,'nf'));
pop.g = zeros(pop.size, get(prob,'ng'));
pop.flag = zeros(pop.size, 1);
pop.rank = zeros(pop.size, 1);
pop.feas = zeros(pop.size, 1);
pop = class(pop, 'population');
return
