function save(pop, gen)
% SAVE(pop,gen) saves population in the file
%

prefix = get(pop.algo, 'prefix');

% All population
filename = strcat(prefix, '-all.dat');
if gen == 1
	fid = fopen(filename, 'w');
else
	fid = fopen(filename, 'a');
end
for i = 1:pop.size
	fprintf(fid, '%4d %3d %d', gen, i, pop.feas(i));
	fprintf(fid, ' %g', pop.x(i,:));
	fprintf(fid, ' %g', pop.f(i,:));
	fprintf(fid, ' %g', pop.g(i,:));
	fprintf(fid, '\n');
end
fclose(fid);

global counter;

fn_evals = counter.fn_evals;

% Non-dominated solutions
filename = strcat(prefix, '-best.dat');
if gen == 1
	fid = fopen(filename, 'w');
else
	fid = fopen(filename, 'a');
end
id = pop.rank(1);
fprintf(fid, '%4d %5d %3d %d', gen, fn_evals, pop.f1size, pop.feas(id));
fprintf(fid, ' %g', pop.x(id,:));
fprintf(fid, ' %g', pop.f(id,:));
fprintf(fid, ' %g', pop.g(id,:));
fprintf(fid, '\n');
fclose(fid);

return
