function pop = sort(pop)
% SORT(pop)
%		pop = sort(pop) non-dominated sorting + crowding distance 
N = get(pop.algo, 'pop_size');

feasible = [];
infeasible = [];

for i = 1:N
	if pop.feas(i) == 1
		feasible = [feasible i];
	else
		infeasible = [infeasible i];
	end
end

ranks = [];

if ~isempty(feasible)
	[f1size, front_data] = non_dominated_sort_1(pop, feasible);
	front_data = non_dominated_sort_rest(pop, front_data);
	for front = 1 : length(front_data.F)-1
		r1 = crowding_distance_sort(pop, front_data, front);
		ranks = [ranks r1];
	end
	pop.f1size = f1size;
end

if ~isempty(infeasible)
	r2 = max_constr_sort(pop, infeasible);
	ranks = [ranks r2];
end
pop.rank = ranks';
return
