function [f, g, valid] = predict(surr, x, model)

if nargin == 2
	if surr.n_models == 1
		model = surr.model(1,:);
	else
		error('Model not specified');
	end
end

found = 0;
for m = 1:surr.n_models
	if strcmp(surr.model(m,:), model)
		found = m;
		break
	end
end

if ~found
	error('No such surrogate model created');
end

if ~surr.valid(found) || ~surr.trained
	f = [];
	g = [];
	valid = 0;
	return
end

pred_func = strcat(model, '_predict');
	
y = feval(pred_func, x, surr.(model));
f = y(:,1:surr.nf);
g = y(:,surr.nf+1:surr.nf+surr.ng);
valid = 1;

return
