function surr = surrogate(algo, models)
% SURROGATE() creates a surrogate object of given model(s)
%

if nargin < 1, models = 'rbf'; end

surr.algo = algo;
surr.model = models;
surr.n_models = size(models,1);

for m = 1:surr.n_models
	model = models(m,:);	
	surr.(model) = [];
end

surr.nf = 0;
surr.ng = 0;

surr.trained = 0;
surr.valid = zeros(1,surr.n_models);

surr = class(surr, 'surrogate');

return
