function mse = validate(surr, x, f_true, g_true)

N = size(x,1);
mse = zeros(surr.n_models, surr.nf+surr.ng);

for m = 1:surr.n_models
	model = surr.model(m,:);
	[f, g, valid] = predict(surr, x, model);

	if ~surr.valid
		mse(m,:) = Inf * ones(1,surr.nf+surr.ng);
	else
		for j = 1:surr.nf
			tmp = f(:,j) - f_true(:,j);
			for i = 1:N
				scale = f_true(i,j);
				if scale == 0, scale = 1; end
				tmp(i) = tmp(i) / scale;
			end
			mse(m,j) = sqrt((tmp'*tmp) / N);
		end
		for j = 1:surr.ng
			tmp = g(:,j) - g_true(:,j);
			for i = 1:N
				scale = g_true(i,j);
				if scale == 0, scale = 1; end
				tmp(i) = tmp(i) / scale;
			end
			mse(m,surr.nf+j) = sqrt((tmp'*tmp) / N);
		end
	end
end

return
